GuideLab API

Start Stripe Connect O Auth

Start a one-time Stripe Standard OAuth flow. The lab owner can sign into an existing Stripe account or create a new one on Stripe.

POST
/stripe-connect/oauth/start

Start a one-time Stripe Standard OAuth flow. The lab owner can sign into an existing Stripe account or create a new one on Stripe.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/stripe-connect/oauth/start" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "http://example.com",  "accountId": "string",  "flow": "oauth"}
Empty
Empty
Empty